Digest::HMAC_MD5(3)

NAME
Digest::HMAC_MD5 - Keyed-Hashing for Message Authentication

SYNOPSIS
 # Functional style
 use Digest::HMAC_MD5 qw(hmac_md5 hmac_md5_hex);
 $digest = hmac_md5($data, $key);
 print hmac_md5_hex($data, $key);

 # OO style
 use Digest::HMAC_MD5;
 $hmac = Digest::HMAC_MD5->new($key);

 $hmac->add($data);
 $hmac->addfile(*FILE);

 $digest = $hmac->digest;
 $digest = $hmac->hexdigest;
 $digest = $hmac->b64digest;

DESCRIPTION
This module provide HMAC-MD5 hashing.

SEE ALSO
Digest::HMAC, Digest::MD5, Digest::HMAC_SHA1

MAINTAINER
Andrew Rodland <arodland@cpan.org>

ORIGINAL AUTHOR
Gisle Aas <gisle@aas.no>